package com.zhentao.service;

import com.zhentao.dto.BlockDto;
import com.zhentao.entity.ChatFriend;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.vo.ResultVo;

/**
* @author 26621
* @description 针对表【chat_friend(好友关系表)】的数据库操作Service
* @createDate 2025-11-27 14:04:39
*/
public interface ChatFriendService extends IService<ChatFriend> {

    ResultVo block(BlockDto blockDto);

    ResultVo getBlacklist(Long userId);

    ResultVo isTargetBlockedMe(String targetUserId, String userId);

    ResultVo getblocklist(Long userId);

    boolean removeFromBlacklist(Long userId, Long blockedUserId);
}
